Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.util.record
Class ByteValueType

    java.lang.Object
      com.servingxml.util.record.ByteValueType

All Implemented Interfaces:
  ValueType

    public class ByteValueType

extends java.lang.Object
implements ValueType

Constructor Summary
`ByteValueType()`

Method Summary
`java.lang.Object` | `fromString(java.lang.String s)`
`java.lang.Object[]` | `fromStringArray(java.lang.String[] sa)`
`int` | `getSqlType()`
`int` | `getSqlType(java.lang.Object[] a)`
`java.lang.Object` | `getSqlValue(java.lang.Object o)`
`java.lang.Object` | `getSqlValue(java.lang.Object[] sa)`
`java.lang.String` | `toString(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteValueType

    public ByteValueType()

Method Detail

### fromStringArray

    public java.lang.Object[] fromStringArray(java.lang.String[] sa)

  Specified by:
    `fromStringArray` in interface `ValueType`

### fromString

    public java.lang.Object fromString(java.lang.String s)

  Specified by:
    `fromString` in interface `ValueType`

### getSqlValue

    public java.lang.Object getSqlValue(java.lang.Object[] sa)

### getSqlType

    public int getSqlType(java.lang.Object[] a)

### toString

    public java.lang.String toString(java.lang.Object o)

  Specified by:
    `toString` in interface `ValueType`

### getSqlValue

    public java.lang.Object getSqlValue(java.lang.Object o)

  Specified by:
    `getSqlValue` in interface `ValueType`

### getSqlType

    public int getSqlType()

  Specified by:
    `getSqlType` in interface `ValueType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD